## radioactv radioactv |

## Properties

GstRadioacTVColor | color | Read / Write
guint | interval | Read / Write
GstRadioacTVMode | mode | Read / Write
gboolean | trigger | Read / Write

## Types and Values

struct | GstRadioacTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstRadioacTV

## Description

RadioacTV does *NOT* detect a radioactivity. It detects a difference from previous frame and blurs it.

RadioacTV has 4 mode, normal, strobe1, strobe2 and trigger. In trigger mode, effect appears only when the trigger property is `TRUE`.

strobe1 and strobe2 mode drops some frames. strobe1 mode uses the difference between current frame and previous frame dropped, while strobe2 mode uses the difference from previous frame displayed. The effect of strobe2 is stronger than strobe1.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! radioactv ! videoconvert ! autovideosink

This pipeline shows the effect of radioactv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | FUKUCHI, Kentarou <fukuchi@users.sourceforge.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRadioacTV

    struct GstRadioacTV;

## Property Details

### The `“color”` property

      “color”                    GstRadioacTVColor

Color.

Flags: Read / Write

Default value: White

### The `“interval”` property

      “interval”                 guint

Snapshot interval (in strobe mode).

Flags: Read / Write

Allowed values: <= G_MAXLONG

Default value: 3

### The `“mode”` property

      “mode”                     GstRadioacTVMode

Mode.

Flags: Read / Write

Default value: Normal

### The `“trigger”` property

      “trigger”                  gboolean

Trigger (in trigger mode).

Flags: Read / Write

Default value: FALSE